[SRU] Add profile-set for HP Thunderbolt Dock

Bug #1894606 reported by Kai-Heng Feng on 2020-09-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
pulseaudio (Ubuntu)
Status tracked in Groovy
Focal
High
Kai-Heng Feng
Groovy
High
Kai-Heng Feng

Bug Description

[Impact]
HP Thunderbolt Dock has a USB audio device provides headset connector functionality. The Dock can also attach an optional USB audio module. Since they are both USB audio device, the input/output names are the same and it confuses user.

[Fix]
Add PulseAudio profile-sets for each USB device with different monikers.

The merge request is already approved by maintainer, will be merged after 14.0 release:
https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/353

[Test]
With profile-set applied, two different USB audio device on HP TBT Dock have distinctive names.

[Regression Potential]
Currently I can't think of any regression risk, as this SRU only adds new profile-sets and description translation.

tags: added: oem-priority originate-from-1891457 stella
description: updated
Kai-Heng Feng (kaihengfeng) wrote :

Pushed to [1], both ubuntu and ubuntu-focal branch.

[1] https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio/

Sebastien Bacher (seb128) wrote :

@Kai, do you know why upstream is going to delay the commit until after the new version is out? Do they consider it risky for some reasons?

Kai-Heng Feng (kaihengfeng) wrote :

PulseAudio is currently feature freeze and only bug fix can be merged.

Sebastien Bacher (seb128) wrote :

But the change there seems a bugfix more than a feature?

Kai-Heng Feng (kaihengfeng) wrote :

Well, it depends how you interpret the issue. Both USB audio devices work, but they share the same description "USB Audio" in the drop down menu.

You can find "Merge request approved. Approved by Tanu Kaskinen" in the merge request.

Changed in pulseaudio (Ubuntu Focal):
assignee: nobody → Sebastien Bacher (seb128)
Changed in pulseaudio (Ubuntu Focal):
assignee: Sebastien Bacher (seb128) → Kai-Heng Feng (kaihengfeng)
Changed in pulseaudio (Ubuntu Groovy):
assignee: nobody → Sebastien Bacher (seb128)
Changed in pulseaudio (Ubuntu Groovy):
assignee: Sebastien Bacher (seb128) → Kai-Heng Feng (kaihengfeng)
Changed in pulseaudio (Ubuntu Focal):
status: New → In Progress
Changed in pulseaudio (Ubuntu Groovy):
status: New → In Progress
Changed in pulseaudio (Ubuntu Focal):
importance: Undecided → High
Changed in pulseaudio (Ubuntu Groovy):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:13.99.1-1ubuntu11

---------------
pulseaudio (1:13.99.1-1ubuntu11) groovy; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/0001-alsa-mixer-Add-support-for-HP-Thunderbolt-Dock.patch
  * d/p/0002-alsa-mixer-Expand-comments-in-the-HP-Thunderbolt-Doc.patch
    Add profile-sets for HP Thunderbolt Dock (LP: #1894606)

 -- Alberto Milone <email address hidden> Tue, 22 Sep 2020 10:09:09 +0200

Changed in pulseaudio (Ubuntu Groovy):
status: In Progress → Fix Released

An upload of pulseaudio to focal-proposed has been rejected from the upload queue for the following reason: "Changes/bug references from 3.7 are missing from the changes file. The ideal way to resolve this would be to squash 3.7 and 3.8 together and upload as 3.7.".

Hello Kai-Heng, or anyone else affected,

Accepted pulseaudio into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:13.99.1-1ubuntu3.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pulseaudio (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Kai-Heng Feng (kaihengfeng) wrote :

After installing PulseAudio 1:13.99.1-1ubuntu3.7, HP TBT dock now have two different audio card names "USB Audio Speakerphone" and "USB Audio Headset".

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:13.99.1-1ubuntu3.7

---------------
pulseaudio (1:13.99.1-1ubuntu3.7) focal; urgency=medium

  [Daniel van Vugt]
  * Added d/p/git_config_upgrade.patch to resolve incorrect audio
    device selection (LP: #1866194).
  * Refreshed patches:
    - d/p/0001-alsa-mixer-Recognize-USB-audio-jack-mixer.patch
    - d/p/0036-device-port-queue-CARD-CHANGE-event-before-update-de.patch
    - d/p/0700-modules-add-snappy-policy-module.patch
    - d/p/gitlab_jack_identifier.patch

  [Kai-Heng Feng]
  * d/p/0001-alsa-mixer-Add-support-for-HP-Thunderbolt-Dock.patch
  * d/p/0002-alsa-mixer-Expand-comments-in-the-HP-Thunderbolt-Doc.patch
    Add profile-sets for HP Thunderbolt Dock (LP: #1894606)

 -- Kai-Heng Feng <email address hidden> Fri, 25 Sep 2020 13:00:28 +0800

Changed in pulseaudio (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers